<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Contoso Task Pane Add-in</title>

    <script type="text/javascript" src="https://appsforoffice.microsoft.com/lib/1.1/hosted/office.js"></script>
    <script src="https://ajax.aspnetcdn.com/ajax/jQuery/jquery-1.9.1.min.js" type="text/javascript"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.10.20/js/dataTables.jqueryui.min.js"></script>
    <script src="https://cdn.datatables.net/rowgroup/1.1.1/js/dataTables.rowGroup.min.js"></script>

    <link rel="stylesheet" href="fabric.min.css" />
    <link rel="stylesheet" href="fabric.components.min.css" />
    <script src="fabric.min.js"></script>

    <link rel="stylesheet" href="https://static2.sharepointonline.com/files/fabric/office-ui-fabric-core/9.6.1/css/fabric.min.css"/>

    
    <link href="taskpane.css" rel="stylesheet" type="text/css" />
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    
</head>

<body class="ms-font-m ms-welcome ms-Fabric">
  <script type="text/javascript">
    var DialogElements = document.querySelectorAll(".ms-Dialog");
    var DialogComponents = [];
    for (var i = 0; i < DialogElements.length; i++) {
        (function () {
            DialogComponents[i] = new fabric['Dialog'](DialogElements[i]);
        }());
    }
</script>

    <header class="ms-welcome__header ms-bgColor-neutralLighter">
        <img width="100" height="110" src="../../assets/logo-filled.png" alt="Contoso" title="kovan" />
        <h1 class="ms-font-su">Prototype</h1>
    </header>
    <section id="sideload-msg" class="ms-welcome__main">
        <h2 class="ms-font-xl">Please sideload your add-in to see app body.</h2>
    </section>
    <main id="app-body" class="ms-welcome__main" style="display: none;">
      <div>
        <button type="button" id="apicall" style="margin-bottom: 10px;" class="btn btn-primary">API Call Post</button>
        <button type="button" id="apicallGet" style="margin-bottom: 10px;" class="btn btn-primary">API Call Get</button>
      </div>
      <!-- Tabs id should be same as Sheet Name  -->
      <div class="tabs">
          <ul class="tabs-nav">
            <li><a id="Employee" href="#tab-1">Employee</a></li>
            <li><a id="Movies" href="#tab-2">Movies</a></li>
            <li><a id="Cars" href="#tab-3">PL</a></li>
            <li><a id="Auto" href="#tab-4">Auto</a></li>
          </ul>
          <div class="tabs-stage">
            <div id="tab-1">
              <form name="save-data" id="form" class="validate">
                <label for="first-name">First Name</label>
                <input type="text" name="First Name" id="first-name" placeholder="First Name" required />

                <label for="last-name">Last Name</label>
                <input type="text" name="Last Name" id="last-name" placeholder="Last Name" required />

                <label for="dob-input">D.O.B</label>
                <input type="date" name="D.O.B" id="dob-input" required />

                <label for="gender-input">Gender</label>
                <select name="Gender" id="gender-input" required >
                  <option value="Male">Male</option>
                  <option value="Female">Female</option>
                </select>

                <label for="experience-input">Years of Experience</label>
                <input type="number" min="1" step="1" name="Years of Experience" id="experience-input" required />

                <label for="status-input">Status</label>
                <select name="Status" id="status-input" required >
                  <option value="Part Time">Part Time</option>
                  <option value="Full Time">Full Time</option>
                </select>

                <label for=""></label>
                <input id="saveFormData" type="submit" value="Save" />
            </form>

            </div>
            <!-- DataTable ID should be example with "-Tab Name" and class name should also be Tab Name in lower case -->
            <div id="tab-2">
              <table id="example-Movies" class="movies" cellspacing="0" width="100%"></table>
          </div>
            <div id="tab-3">
              <table id="example-PL" class="pl" cellspacing="0" width="100%"></table>
            </div>
            <div id="tab-4">
              <table id="example-Auto" class="auto" cellspacing="0" width="100%"></table>
            </div>
      </div>
      </div>
      
    </main>
</body>
</html>